<?php

// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006-2014 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------

// 应用入口文件

// 检测PHP环境
if(version_compare(PHP_VERSION,'5.3.0','<'))  die('require PHP > 5.3.0 !');

//检测是否已安装房佳
if(file_exists("./install/") && !file_exists("./install/install.lock")){
	if($_SERVER['PHP_SELF'] != '/index.php'){
		header("Content-type: text/html; charset=utf-8");
		exit("请在域名根目录下安装<br/> 如： fj.ytsofts.cn/index.php 正确 <br/> 如： fj.ytsofts.cn/www/index.php 错误，必须将房佳安装到网站的根目录。");
	}
	header('Location:/install/index.php');
	exit();
}

// 开启调试模式 建议开发阶段开启 部署阶段注释或者设为false
define('APP_DEBUG',true);

define('DEFAULT_MODULE', 'Admin');

// 定义根目录,可更改此目录
define('APP_ROOT', __DIR__ . '/');

define('COMMON_PATH',APP_ROOT.'Common/');
define('CONF_PATH',COMMON_PATH.'Conf/');

// 定义缓存目录,可更改此目录
define('RUNTIME_PATH', APP_ROOT . 'Runtime/');

// 定义应用目录
define('APP_PATH','./Application/');

// 引入ThinkPHP入口文件
require './ThinkPHP/ThinkPHP.php';

// 亲^_^ 后面不需要任何代码了 就是如此简单